/* Copyright (c) 1992,93 Regents of the University of California */
/* modified for rshow ISE 1992 */

/*
 * Initialize ofun[] list for renderers
 */

#include  "standard.h"

#include  "otypes.h"

#include  "otspecial.h"

extern int  o_sphere();
extern int  o_face();
extern int  o_cone();
extern int  o_instance();

int dummy()
{
}

FUN  ofun[NUMOTYPE] = INIT_OTYPE;


initotypes()			/* initialize ofun array */
{
#ifdef XTRA
	ofun[OBJ_SPHERE].funp =
	ofun[OBJ_BUBBLE].funp = o_sphere;
	ofun[OBJ_FACE].funp = o_face;
	ofun[OBJ_CONE].funp =
	ofun[OBJ_CUP].funp =
	ofun[OBJ_CYLINDER].funp =
	ofun[OBJ_TUBE].funp =
	ofun[OBJ_RING].funp = o_cone;
	ofun[OBJ_INSTANCE].funp = o_instance;
#else
	ofun[OBJ_SPHERE].funp =
	ofun[OBJ_BUBBLE].funp = dummy;
	ofun[OBJ_FACE].funp = dummy;
	ofun[OBJ_CONE].funp =
	ofun[OBJ_CUP].funp =
	ofun[OBJ_CYLINDER].funp =
	ofun[OBJ_TUBE].funp =
	ofun[OBJ_RING].funp = dummy;
	ofun[OBJ_INSTANCE].funp = dummy;
#endif
	ofun[MAT_LIGHT].funp =
	ofun[MAT_ILLUM].funp =
	ofun[MAT_GLOW].funp =
	ofun[MAT_SPOT].funp = dummy;
	ofun[MAT_PLASTIC].funp =
	ofun[MAT_METAL].funp =
	ofun[MAT_TRANS].funp = dummy;
	ofun[MAT_TRANS].flags |= T_IRR_IGN;
	ofun[MAT_PLASTIC2].funp =
	ofun[MAT_METAL2].funp =
	ofun[MAT_TRANS2].funp = dummy;
	ofun[MAT_TRANS2].flags |= T_IRR_IGN;
	ofun[MAT_DIELECTRIC].funp =
	ofun[MAT_INTERFACE].funp = dummy;
	ofun[MAT_DIELECTRIC].flags |= T_IRR_IGN;
	ofun[MAT_INTERFACE].flags |= T_IRR_IGN;
	ofun[MAT_GLASS].funp = dummy;
	ofun[MAT_GLASS].flags |= T_IRR_IGN;
	ofun[MAT_MIRROR].funp = dummy;
	ofun[MAT_DIRECT1].funp =
	ofun[MAT_DIRECT2].funp = dummy;
	ofun[MAT_CLIP].funp = dummy;
	ofun[MAT_PFUNC].funp =
	ofun[MAT_MFUNC].funp =
	ofun[MAT_PDATA].funp =
	ofun[MAT_MDATA].funp = 
	ofun[MAT_TFUNC].funp =
	ofun[MAT_BRTDF].funp = 
	ofun[MAT_TDATA].funp = dummy;
	ofun[TEX_FUNC].funp = dummy;
	ofun[TEX_DATA].funp = dummy;
	ofun[PAT_CFUNC].funp = dummy;
	ofun[PAT_BFUNC].funp = dummy;
	ofun[PAT_CPICT].funp = dummy;
	ofun[PAT_CDATA].funp = dummy;
	ofun[PAT_BDATA].funp = dummy;
	ofun[PAT_CTEXT].funp =
	ofun[PAT_BTEXT].funp =
	ofun[MIX_TEXT].funp = dummy;
	ofun[MIX_FUNC].funp = dummy;
	ofun[MIX_DATA].funp = dummy;
}


o_default()			/* default action is error */
{
	error(INTERNAL, "unexpected object call");
}
