
/* $Header: rshow.h,v 1.28 93/08/01 22:02:54 apian Exp $ */

/* radiance special crazyness */
#ifndef FLOAT
#define FLOAT	double
#endif

/* stolen from radiance, but renamed for our use */
#define VECCOPY(v1,v2)	((v1)[0]=(v2)[0],(v1)[1]=(v2)[1],(v1)[2]=(v2)[2])
#define VECADD(v1,v2)	((v1)[0]+=(v2)[0],(v1)[1]+=(v2)[1],(v1)[2]+=(v2)[2])
#define VECSUB(v1,v2)	((v1)[0]-=(v2)[0],(v1)[1]-=(v2)[1],(v1)[2]-=(v2)[2])
#define	VECSET(v,x,y,z)	((v)[0]=x,(v)[1]=y,(v)[2]=z)
#define DOT(v1,v2)	((v1)[0]*(v2)[0]+(v1)[1]*(v2)[1]+(v1)[2]*(v2)[2])

typedef	float 	HUBA_matrix[4][4];	/* declare this stuff GL and radiance compatible */

/*
The following defines are used in all primitives for color storage.
To allow VGX-speed (quadword alignement) versus Indigo RAM usage (color=short)
GL_COL is introduced.
This might have been in gl_int.h.
*/

#ifndef GL_COL
#define	GL_COL		float
#endif

#define	DEFAULT_ALPHA	0x00
#define	DEFAULT_GLASS	0x40

